Get Pronunciation Dictionary
curl --request GET \
--url https://tavusapi.com/v2/pronunciation-dictionaries/{dictionary_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://tavusapi.com/v2/pronunciation-dictionaries/{dictionary_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://tavusapi.com/v2/pronunciation-dictionaries/{dictionary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pronunciation_dictionary_id": "pd_abc123def456gh",
"name": "Brand Terms",
"rules": [
{
"text": "Tavus",
"pronunciation": "TAH-vus",
"type": "alias",
"case_sensitive": false,
"word_boundaries": true
}
],
"rules_count": 1,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}{
"message": "Invalid access token"
}{
"message": "Pronunciation dictionary not found"
}Pronunciation Dictionaries
Get Pronunciation Dictionary
Retrieve a pronunciation dictionary by its ID, including all rules.
GET
/
v2
/
pronunciation-dictionaries
/
{dictionary_id}
Get Pronunciation Dictionary
For AI agents, use
https://docs.tavus.io/openapi.yaml for the full HTTP API contract.Authorizations
Path Parameters
The unique identifier of the pronunciation dictionary.
Response
Pronunciation dictionary details
Unique identifier for the pronunciation dictionary.
Example:
"pd_abc123def456gh"
Name of the pronunciation dictionary.
Example:
"Brand Terms"
List of pronunciation rules.
Show child attributes
Show child attributes
Number of rules in the dictionary.
Example:
1
ISO 8601 timestamp of when the dictionary was created.
Example:
"2025-01-15T10:30:00Z"
ISO 8601 timestamp of when the dictionary was last updated.
Example:
"2025-01-15T10:30:00Z"

